Subject: Re: [PATCH 1/5] [POWERPC] cpm2: Updates for CPM2 pic

From: Vitaly Bordug <[email-masked]>
Date: Wed, 10 Jan 2007 08:09:49 +0300

On Wed, 10 Jan 2007 13:13:23 +1100
Paul Mackerras wrote:

> Vitaly Bordug writes:
> > 
> > This contains important fixes for the CPM2 PIC code. Eliminated
> > CPM_IRQ_OFFSET, pulling the respective interrupt numbers from the
> > interrupt mapping. Updated devicetree files to reflect that.
> > Changed direct IC-related IO accesses to the IO accessors.
> 
> I can't put these patches in for 2.6.20 with the titles and
> descriptions you have given.
> 
well that is to say, mpc8272 is utterly broken without patch 1, as interrupt controller will not work at all.
8560's cpm2-related will be hosed too (hence no uart, heh)

> At this stage, for stuff to go into 2.6.20, you need to clearly
> identify what the problem is that you're fixing and give at least some
> indication of why it needs to be fixed for 2.6.20.  If the code
> currently won't compile at all for some config, or is now completely
> wrong because of changes elsewhere, or could cause an oops, then we
> can fix it, but I need something better than just "Updates" in the
> title and a list of what changes you made in the description.  At the
> moment I look at your patch titles and descriptions and think "that's
> nice, but why should it go in 2.6.20?"
> 

OK. I'll update descriptions and resubmit

> If you're fixing up something that worked in 2.6.19 but now doesn't
> work, that helps justify the change, but you need to say that.
> 
> These comments apply particularly to patches 1 to 3 in your series.
> For patch 4/5 you at least told us that changes to io.h caused the
> breakage, but even there a bit more detail about what changes caused
> what breakage would be useful.  However, at this stage, you need to
> resist the temptation to do other "overhaul and improvements" while
> you are there; just fix the bugs or breakages that you have identified
> in the description.
> 
All above is quite right, however  patch 4 does not contain extra code iirc (that do not address breakages),
I just kept same description it used to have at initial revision, submitted during merge window. 

> Patch 5/5 is OK since it doesn't touch any actual code
> 
Thanks for looking over this stuff such promptly...

> Paul.